# Interface ForeignContract

#### Hierarchy

- ForeignContract

- Defined in platforms/solana/protocols/tokenBridge/src/utils/automaticTokenBridge/accounts/foreignContract.ts:6

#####
Index

### Properties

address
chain
fee

## Properties

### address

address: number[]

- Defined in platforms/solana/protocols/tokenBridge/src/utils/automaticTokenBridge/accounts/foreignContract.ts:8

### chain

chain: number

- Defined in platforms/solana/protocols/tokenBridge/src/utils/automaticTokenBridge/accounts/foreignContract.ts:7

### fee

fee: BN

- Defined in platforms/solana/protocols/tokenBridge/src/utils/automaticTokenBridge/accounts/foreignContract.ts:9

Generated using TypeDoc